spandsp 0.0.6

g722_tests.c File Reference
`#include <stdlib.h>`
`#include <stdio.h>`
`#include <fcntl.h>`
`#include <unistd.h>`
`#include <memory.h>`
`#include <ctype.h>`
`#include <sndfile.h>`
`#include "spandsp.h"`
`#include "spandsp/private/g722.h"`

## Macros
#define | G722_SAMPLE_RATE 16000
#define | BLOCK_LEN 320
#define | MAX_TEST_VECTOR_LEN 40000
#define | TESTDATA_DIR "../test-data/itu/g722/"
#define | EIGHTK_IN_FILE_NAME "../test-data/local/short_nb_voice.wav"
#define | IN_FILE_NAME "../test-data/local/short_wb_voice.wav"
#define | ENCODED_FILE_NAME "g722.g722"
#define | OUT_FILE_NAME "post_g722.wav"

## Functions
int | main (int argc, char *argv[])

## Variables
int16_t | itu_data [40000]
uint16_t | itu_ref [40000]
uint16_t | itu_ref_upper [40000]
uint8_t | compressed [40000]
int16_t | decompressed [40000]